#!/bin/bash

# A script for loading the DDS gateware/software/drivers on CERN VME Crates

# FPGA firmware path
FW=/lib/firmware/fmc/test/svec-wr-d3s-test-20150907a.bin

# WR Core firmware path
WRPC_FW=/acc/local/share/firmware/wr-core/wr-core-20150620-lowoffset.bin

# SVECs to load the firmware to
SVECS="0 1"

rmmod wr-node-core
rmmod svec
cd /usr/local/drivers/svec
sh ./install_svec_mturtle.sh
cd /usr/local/drivers/mturtle

for s in $SVECS; do
    echo "Loading FPGA for SVEC LUN=$s"
    dd if=$FW of=/dev/svec.$s obs=50000000 >& /dev/null
done

insmod wr-node-core.ko

cd /user/twlostow
mount -t debugfs none /sys/kernel/debug/
/usr/local/bin/svec-wrc-loader -a $WRPC_FW
